package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Tro;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TroMapper {

    int insert(Tro record);

    int insertSelective(Tro record);

    int updateByPrimaryKeySelective(Tro record);

    int updateByPrimaryKey(Tro record);

    int updateByTrninr(@Param("trninr") String trninr);

    int updateLstflgByTrninr(@Param("trninr") String trninr);

    int deleteByPrimaryKey(Tro record);

    int deleteByIds(Collection<Object> collection);

    Tro selectByPrimaryKey(Tro record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Tro> dyncRead(Map<String,Object> dyncMap);

    List<Tro> selectTroByConditionSql(@Param(value = "conditionSql") String conditionSql);

    List<Tro> selectByTrninrAndObjtypAndObjinr(@Param("trninr") String trninr, @Param("objtyp") String objtyp, @Param("objinr") String objinr);
}